package com.bocloud.nms.model.veeam.job;

import java.util.List;

public class BackupApplicationAwareProcessingModel {

    private boolean isEnabled;
    private List<BackupApplicationSettingsModel> appSettings;

    public boolean  getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(boolean enabled) {
        isEnabled = enabled;
    }

    public List<BackupApplicationSettingsModel> getAppSettings() {
        return appSettings;
    }

    public void setAppSettings(List<BackupApplicationSettingsModel> appSettings) {
        this.appSettings = appSettings;
    }

    @Override public String toString() {
        return "BackupApplicationAwareProcessingModel{" + "isEnabled=" + isEnabled + ", appSettings=" + appSettings
            + '}';
    }
}
